Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Object::ClazzObject Class Reference

Inherits Class.

## Public Member Functions
| ClazzObject ()
virtual | ~ClazzObject ()
virtual log4cxx::LogString | getName () const
Public Member Functions inherited from Class
virtual | ~Class ()
virtual ObjectPtr | newInstance () const
LogString | toString () const

## Additional Inherited Members
Static Public Member Functions inherited from Class
static const Class & | forName (const LogString &className)
static bool | registerClass (const Class &newClass)
Protected Member Functions inherited from Class
| Class ()

## Constructor & Destructor Documentation

ClazzObject | ( |  | ) |
| inline

virtual ~ClazzObject | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual log4cxx::LogString getName | ( |  | ) | const
| inline virtual

Implements Class.

The documentation for this class was generated from the following file:

- object.h